<?php
/*
Odyssey view file
Filename must be like "view_sectionName.php"
Reference to controller variables must be in form $this->varName

Use $p for template path, for example $p/images/logo.png
*/


// *****************************************************************************

$autoView = false; // Warning! You need to set this to false in order to use your custom view below

// *****************************************************************************

if($autoView){ // you may change this above, setting it as false in order to use your default view starting below
	
	include("view.php");
	
}else{ // you custom layout starts here!!!

	global $langID;
	$section = "articles";
	$sectionID = $system->getTableSectionID($section);
	if($catID){
		$title = $categories->getCategoryName($catID, "content_".$section."_categories", $langID); 
	}else{
		$sectionName = t($system->getTableSectionTitle($sectionID));
		$title = (is_numeric($catID) && $catID==0) ? $sectionName.  " - ". t("ΚΑΤΗΓΟΡΙΕΣ") : $sectionName;
	}	
	echo $custom->mainHeader($title);
	$messages->printSystemMessages();
	if($messages->hasErrors) {
		?>
	<div style='height: 200px'></div>
	<?php 
	}else{
		?>
	<div style='height: 20px'></div>
	<?php 
	}
	if($this->numOfAllItems){
		$vars = 'catID,presults';
		$pagination = new pagination($this->maxrows, true, $vars, $presults);
		$pagination->printPages(); 
		echo "<div style='height:20px'></div>";
	
		$items = $this->items;
		$row = 0;
		foreach($items as $item){
			$row++;
			$articleID = $item->id;
			$title = $item->title;
			$mt = $item->minitext;
			$limit = 115 - mb_strlen($title, 'utf-8');
			$limit = ($limit > 0 ) ? $limit : 0;
			$minitext = (mb_strlen($mt, 'utf-8') > $limit) ? $variables->unicode_substr($mt, 0 , $limit)."..." : $mt;
			$minitext = ($minitext == "...") ? null : $minitext;
			$catName = $categories->getCategoryName($item->catID, "content_".$section."_categories", $langID);	
			$defaultImage = $content->getImage($section, $articleID, $langID, 'default');
			$imgDescription = $content->getImageDescription($defaultImage, $articleID, $sectionID, $langID);
			$foundThumb = false;
			if($defaultImage != "."){ // if a default image exists for this record
				$imageFile = "mediabank/medium/medium_".$defaultImage;
				$foundThumb = true;			
			}else{
				$imageFile = "images/no_image.png";
			}
			$imgDim = GetImageSize($imageFile);
			$w = $imgDim[0];
			$h = $imgDim[1];
			if($row % 2) echo "<div class='pair_container'>";
			$indicator = ($row % 2) ? " pair_unit_left" : " pair_unit_right";
			?>
	<div class='pair_unit<?php echo $indicator;?>'>
		<div class='contents'>
			<div class="article_index_thumb_container">
				<?php
			if(!$foundThumb){
			?>
				<div style="background: url(<?php echo $imageFile;?>) center center no-repeat; overflow:hidden; height:100%; "> <a href="<?php $sef->url("index.php?section=".$section."&view=node&id=".$articleID);?>"> <img src="images/blank.gif" style="width:100%; height: 100%" alt="view article"> </a> </div>
				<?php 
	}else{
			?>
				<div data-descr="jOthumb" style="width: 187px; height: 187px; visibility:hidden;"> <a href="<?php $sef->url("index.php?section=".$section."&view=node&id=".$articleID);?>"> <img data-descr="contents" src="<?php echo $imageFile;?>" width="<?php echo $w;?>" height="<?php echo $h;?>" alt="image"> </a> </div>
				<?php 
	}
			?>
			</div>
			<div class="article_index_contents">
				<div class="article_index_title_container">
					<a class="article_index_title" href="<?php $sef->url("index.php?section=".$section."&view=node&id=".$articleID);?>"><?php echo $title;?></a>
				</div>
				<div class="article_index_minitext">
				<?php echo $minitext; ?>
				</div>
			</div>
			<div style="position:absolute; right:10px; bottom:0"><a class="link_btn" href="<?php $sef->url("index.php?section=".$section."&view=node&id=".$articleID);?>"><?php echo t('περισσότερα');?></a></div>
		</div>
	</div>
	<?php
			if(!($row % 2)){ 
			?>
	</div>
	<?php 
	}
		}
		if($row % 2){
			// create a pair for balance and close the container div
			?>
	<div class='pair_unit pair_unit_right'>
		<div class="contents">&nbsp;</div>
	</div>
	</div>
	<?php 
	}
		?>
		<div style='height:40px'></div>
		<?php
		$pagination = new pagination($this->maxrows, false, $vars, $presults);
		$pagination->printPages();															
	}
	
	if($this->hasSubcategories){  // listing of categories
		$items = $this->items;
		$row = 0;
		foreach($items as $item){
			$row++;
			$id = $item->id;
			$title = $item->title;
			$mt = $item->minitext;
			$limit = 115 - mb_strlen($title, 'utf-8');
			$limit = ($limit > 0 ) ? $limit : 0;
			$minitext = (mb_strlen($mt, 'utf-8') > $limit) ? $variables->unicode_substr($mt, 0 , $limit)."..." : $mt;
			$minitext = ($minitext == "...") ? null : $minitext;			
			$categoryImage = $categories->getCategoryImage($id, $sectionID);
			$imageFile = ($categoryImage) ? "mediabank/".$categoryImage : "images/no_image.png";
			$imgDim = GetImageSize($imageFile);
			for($i=0; $i <100000; $i++){
				// delay
			};
			$w = $imgDim[0];
			$h = $imgDim[1];				
			if($row % 2) echo "<div class='pair_container'>";
			$indicator = ($row % 2) ? " pair_unit_left" : " pair_unit_right";
			?>
	<div class='pair_unit<?php echo $indicator;?>'>
		<div class='contents'>
			<div class="article_index_thumb_container">
				<div data-descr="jOthumb" style="width: 187px; height: 187px; visibility:hidden;"> <a href="<?php $sef->url("index.php?section=".$section."&view=list&catID=".$id);?>"> <img data-descr="contents" src="<?php echo $imageFile;?>" width="<?php echo $w;?>" height="<?php echo $h;?>" alt="image"> </a> </div>
			</div>
			<div class="article_index_contents">
				<div class="article_index_title_container">
					<a class="article_index_title" href="<?php $sef->url("index.php?section=".$section."&view=list&catID=".$id);?>"><?php echo $title;?></a>
				</div>
				<div class="article_index_minitext">
				<?php echo $minitext; ?>
				</div>
			</div>
		</div>
	</div>
	<?php
			if(!($row % 2)){ 
			?>
            </div>
            <?php 
			}
		}
		if($row % 2){
			// create a pair for balance and close the container div
			?>
        <div class='pair_unit pair_unit_right'>
            <div class="contents">&nbsp;</div>
        </div>
        </div>
        <?php 
        }
	}

}
?>
